<?php
$titre_page = "Génération de votre nouvelle page";
require("./0admin_header.php");

//On traite le titre de la page pour en faire le nom de fichier
$_POST['nom_fichier'] = strtolower($_POST['titre_page']);
$_POST['nom_fichier'] = stripslashes($_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("!", "", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("?", "", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace(":", "", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace(";", "", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("&", "-", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("\"", "", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("'", "", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace(" - ", "-", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("^", "+", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace(" ", "_", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("\'", "", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("/", "-", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace(".", "-", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace(",", "_", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("__", "_", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("è", "e", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("é", "e", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("ê", "e", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("à", "a", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("â", "a", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("ù", "u", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("û", "u", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("ô", "o", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("è", "e", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace("(", "-", $_POST['nom_fichier']);
$_POST['nom_fichier'] = str_replace(")", "-", $_POST['nom_fichier']);

// On traite le titre de la page et le message pour enlever les échapements
$_POST['titre_page'] = stripslashes($_POST['titre_page']);
$_POST['message'] = stripslashes($_POST['message']);

// Prévisualisation de l'article
if($_POST['preview'] == "Prévisualisation") {
echo "
<h1>Prévisualisation</h1>";
echo "<p><strong>Titre de la page :</strong>" . $_POST['titre_page'] . "</p>
<div class=\"previsualisation\">";
$_POST['message'] = stripslashes($_POST['message']);
echo $_POST['message'] . "
</div>
<p><strong>Nom du fichier généré :</strong>" . $_POST['nom_fichier'] . ".php</p>
<p><a href=\"javascript:history.back()\">Revenir au formulaire d'ajout de page.</a></p>";
}

// Si on a la permission on écrit sinon on ne le fait pas
if(is_writable("./") || $os_du_serveur == "windows") {
$_POST['message'] =
"<?php
$"."titre_page=\"" . $_POST['titre_page'] . "\";
require(\"./header.php\");
?>

".$_POST['message']."

<?php
require(\"./footer.php\");
?>";

$handle = fopen("./".$_POST['nom_fichier'] . ".php", "w");
fwrite($handle, $_POST['message']);
fclose($handle);
echo "<h1>Votre page a bien été crée</h1>
<p><strong>Nom du fichier généré :</strong> <a href=" . $_POST['nom_fichier'] . ".php>" . $_POST['nom_fichier'] . ".php</a></p>
<p>Code à insérer dans le menu de gauche pour ajouter le lien :
<h2>Pour une catégorie</h2>
<pre><code>&lt;p&gt;&lt;a href=\"./$_POST[nom_fichier].php\"&gt; &lt;/a&gt;&lt;/p&gt;</code></pre>
<h2>Pour une sous-catégorie</h2>
<pre><code>&lt;li&gt;&lt;a href=\"./$_POST[nom_fichier].php\"&gt; &lt;/a&gt;&lt;/li&gt;</code></pre>";
}
else {
echo "<h1>Permission refusée</h1>
<p>$nom_du_projet n'a pas les autorisations nécessaires à la création d'une nouvelle page dans le répertoire. Pour résoudre ce problème changez, à l'aide d'un
client FTP, le <strong>chmod</strong> du dossier contenant $nom_du_projet en 777 et réactualisez cette page.</p>";
}
require("./0admin_footer.php");
?>